<script setup>
import {ref} from "vue";
import {RouterLink, useRouter} from 'vue-router'
import { useUserStore } from '@/store/UserStore'
const userStore = useUserStore()
const router = useRouter()

const links = ref([])

if (!userStore.loggedIn) {
  links.value = [
    {
      label: 'Login',
      url: '/login'
    },
    {
      label: 'Register',
      url: '/register'
    }
  ]
  console.log(links.value)
}

function logout() {
  userStore.logoutUser()
  router.push({
    name: 'HomePage',
  })
}
</script>

<template>
  <v-app-bar
    color="teal-darken-4"
  >
    <template v-slot:image>
      <v-img
        gradient="to top right, rgba(19,84,122,.8), rgba(128,208,199,.8)"
      ></v-img>
    </template>
    <template v-slot:prepend>
      <v-app-bar-nav-icon></v-app-bar-nav-icon>
    </template>
    <router-link to="/" class="text-decoration-none text-white"><v-app-bar-title>Book Service</v-app-bar-title></router-link>
    <v-spacer></v-spacer>
    <template v-if="!userStore.loggedIn">
      <v-btn
        v-for="link in links"
        :key="`${link.label}-header-link`"
        rounded
        :to="link.url"
      >
        {{ link.label }}
      </v-btn>
    </template>
    <template v-else>
      <v-btn
        rounded
        @click="logout"
      >
        Logout
      </v-btn>
    </template>
  </v-app-bar>
</template>

<style scoped>

</style>
